> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).
>
> To search these docs, send a `GET` request to `https://paddle-docs-retrieval.kapa-paddle.workers.dev/?q=<question>` with a URL-encoded question. No authentication needed. It returns a JSON array of `{content, source_url}`, most relevant first.

# PATCH /checkout-styles

**Update inline checkout style settings**

Updates the inline checkout style settings for your account. These styles also apply to hosted checkouts.

Send only the fields that you want to change. Fields that you omit keep their current value. You can't set `shared`, `modes`, `modes.light`, or `modes.dark` to `null`.

Fields that you omit keep their current value. To change a field back to its default, send its default value. To see the defaults for light and dark mode, see [get inline checkout style settings](https://developer.paddle.com/api-reference/checkout-styles/get-checkout-style).

If successful, your response includes a copy of the updated inline checkout style settings entity.

**Required permissions:** `checkout_settings.write`

## Request body

- `shared`: object — Settings that apply in both light and dark mode, like font, sizes, and borders. Set them here to apply to both modes. Send only the fields that you want to change.
  - `buttons`: object — Shared styling of the checkout buttons.
    - `focus_enabled`: boolean — Whether the primary and secondary buttons show a focus ring. The ring color can't be changed.
    - `primary`: object — Shared styling of the primary button.
      - `border_radius`: string — Primary button corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`)
      - `border_width`: string — Primary button border width. Set to `0` to turn the border off. (pattern: `^(0|([0-9]|10)px)$`)
      - `font_size`: string — Primary button text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`)
      - `height`: string — Primary button height. (pattern: `^([3-5][0-9]|60)px$`)
    - `secondary`: object — Shared styling of the secondary button.
      - `border_radius`: string — Secondary button corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`)
      - `border_width`: string — Secondary button border width. Set to `0` to turn the border off. (pattern: `^(0|([0-9]|10)px)$`)
      - `font_size`: string — Secondary button text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`)
      - `height`: string — Secondary button height. (pattern: `^([3-5][0-9]|60)px$`)
    - `width`: string — Width of the primary and secondary buttons. (pattern: `^([7-9][0-9]|100)%$`)
  - `globals`: object — Font, maximum width, and padding for the whole checkout.
    - `font_family`: string — Font family for all checkout text.
      - `Lato, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
      - `Arial, Helvetica Neue, HelveticaNeue, Helvetica, sans-serif`
      - `Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
      - `Verdana, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
      - `Lucida Grande, Lucida Sans Unicode, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
      - `Georgia, serif`
      - `Times New Roman, TimesNewRoman, Times, serif`
    - `max_width`: string — Maximum width of the checkout container. (pattern: `^(64[3-9]|6[5-9][0-9]|[7-9][0-9]{2}|[1-9][0-9]{3,})px$`)
    - `use_container_padding`: boolean — Whether the checkout container has side padding.
  - `inputs`: object — Shared styling of the checkout input fields.
    - `border_radius`: string — Corner radius of the text and select inputs. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`)
    - `border_width`: string — Border width of the text and select inputs. (pattern: `^([1-9]|10)px$`)
    - `box_shadow`: boolean — Whether the text and select inputs have a box shadow.
    - `checkbox`: object — Shared styling of checkboxes.
      - `border_radius`: string — Checkbox corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`)
    - `font_size`: string — Text size of the text and select inputs. (pattern: `^(1[2-9]|2[0-6])px$`)
    - `height`: string — Height of the text and select inputs. (pattern: `^([3-5][0-9]|60)px$`)
  - `labels`: object — Shared styling of the checkout field labels.
    - `font_size`: string — Field label text size. (pattern: `^(1[2-9]|2[0-6])px$`)
    - `font_weight`: string — Field label weight.
      - `normal`
      - `bold`
    - `position`: string — Position of field labels. On mobile, labels always show at the top left.
      - `left`
      - `top-left`
    - `visible`: boolean — Whether field labels are shown.
  - `links`: object — Text size of checkout links.
    - `font_size`: string — Link text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`)
  - `notifications`: object — Shared styling of checkout messages.
    - `container`: object — Shape of the message container.
      - `border_radius`: string — Message container corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`)
    - `text`: object — Text size of checkout messages.
      - `font_size`: string — Message text size. (pattern: `^(1[2-9]|2[0-6])px$`)
- `modes`: object — Colors for each mode. Send only the fields that you want to change. To use the same color in both modes, set it under `light` and `dark` separately.
  - `light`: object — Colors used when inline checkout opens in light mode.
    - `buttons`: object — Light mode styling of the checkout buttons.
      - `payment_method`: object — Light mode styling of the payment method selector.
        - `border_color`: string — Payment method selector border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `primary`: object — Light mode styling of the primary button.
        - `background_color`: string — Primary button background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `background_color_hover`: string — Primary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Primary button border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color_hover`: string — Primary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color`: string — Primary button text color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color_hover`: string — Primary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `secondary`: object — Light mode styling of the secondary button.
        - `background_color`: string — Secondary button background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `background_color_hover`: string — Secondary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Secondary button border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color_hover`: string — Secondary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color`: string — Secondary button text color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color_hover`: string — Secondary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `globals`: object — Light mode focus colors for checkout fields.
      - `focus_border_color_active`: string — Border color of a focused field. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `focus_box_shadow_color_active`: string — Shadow color of a focused field. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `inputs`: object — Light mode styling of the checkout input fields.
      - `background_color`: string — Background color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `border_color`: string — Border color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `checkbox`: object — Light mode styling of checkboxes.
        - `background_color`: string — Checkbox background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `color`: string — Text color of the text and select inputs, focused or not. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `text`: object — Light mode styling of text fields.
        - `placeholder_color`: string — Text input placeholder color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `labels`: object — Light mode styling of the checkout field labels.
      - `color`: string — Field label color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `links`: object — Light mode styling of the checkout links.
      - `color`: string — Link color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `color_hover`: string — Link color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `notifications`: object — Light mode colors of checkout messages.
      - `container`: object — Light mode colors of the message container.
        - `background_color`: string — Message background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Message border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
  - `dark`: object — Colors used when inline checkout opens in dark mode.
    - `buttons`: object — Dark mode styling of the checkout buttons.
      - `payment_method`: object — Dark mode styling of the payment method selector.
        - `border_color`: string — Payment method selector border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `primary`: object — Dark mode styling of the primary button.
        - `background_color`: string — Primary button background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `background_color_hover`: string — Primary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Primary button border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color_hover`: string — Primary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color`: string — Primary button text color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color_hover`: string — Primary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `secondary`: object — Dark mode styling of the secondary button.
        - `background_color`: string — Secondary button background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `background_color_hover`: string — Secondary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Secondary button border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color_hover`: string — Secondary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color`: string — Secondary button text color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `color_hover`: string — Secondary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `globals`: object — Dark mode focus colors for checkout fields.
      - `focus_border_color_active`: string — Border color of a focused field. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `focus_box_shadow_color_active`: string — Shadow color of a focused field. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `inputs`: object — Dark mode styling of the checkout input fields.
      - `background_color`: string — Background color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `border_color`: string — Border color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `checkbox`: object — Dark mode styling of checkboxes.
        - `background_color`: string — Checkbox background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `color`: string — Text color of the text and select inputs, focused or not. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `text`: object — Dark mode styling of text fields.
        - `placeholder_color`: string — Text input placeholder color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `labels`: object — Dark mode styling of the checkout field labels.
      - `color`: string — Field label color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `links`: object — Dark mode styling of the checkout links.
      - `color`: string — Link color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
      - `color_hover`: string — Link color on hover. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
    - `notifications`: object — Dark mode colors of checkout messages.
      - `container`: object — Dark mode colors of the message container.
        - `background_color`: string — Message background color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)
        - `border_color`: string — Message border color. (pattern: `^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$`)

### Request example

```json
{
  "modes": {
    "dark": {
      "buttons": {
        "payment_method": {
          "border_color": "#3A3A46"
        },
        "primary": {
          "background_color": "#06C668",
          "background_color_hover": "#05B25E",
          "border_color": "#06C668",
          "border_color_hover": "#05B25E",
          "color": "#FFFFFF",
          "color_hover": "#FFFFFF"
        },
        "secondary": {
          "background_color": "#1F1F27",
          "background_color_hover": "#1F1F27",
          "border_color": "#06C668",
          "border_color_hover": "#05B25E",
          "color": "#06C668",
          "color_hover": "#05B25E"
        }
      },
      "globals": {
        "focus_border_color_active": "#258d84",
        "focus_box_shadow_color_active": "#36cec2"
      },
      "inputs": {
        "background_color": "#1F1F27",
        "border_color": "#3A3A46",
        "checkbox": {
          "background_color": "#1F1F27"
        },
        "color": "#FFFFFF",
        "text": {
          "placeholder_color": "#9393A8"
        }
      },
      "labels": {
        "color": "#FFFFFF"
      },
      "links": {
        "color": "#06C668",
        "color_hover": "#06C668"
      },
      "notifications": {
        "container": {
          "background_color": "#1F1F27",
          "border_color": "#3A3A46"
        }
      }
    }
  }
}
```

## Response (200)

- `data`: object (required) — Represents the inline checkout style settings for your account: settings shared by light and dark mode, and the colors for each mode. These styles also apply to hosted checkouts. Each account has one checkout style.
  - `shared`: object (required) — Settings that apply in both light and dark mode, like font, sizes, borders, and layout.
    - `buttons`: object (required) — Shared styling of the checkout buttons.
      - `focus_enabled`: boolean (required) — Whether the primary and secondary buttons show a focus ring. The ring color can't be changed. (default: `true`)
      - `primary`: object (required) — Shared styling of the primary button.
        - `border_radius`: string (required) — Primary button corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`; default: `"4px"`)
        - `border_width`: string (required) — Primary button border width. Set to `0` to turn the border off. (pattern: `^(0|([0-9]|10)px)$`; default: `"1px"`)
        - `font_size`: string (required) — Primary button text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`; default: `"20px"`)
        - `height`: string (required) — Primary button height. (pattern: `^([3-5][0-9]|60)px$`; default: `"44px"`)
      - `secondary`: object (required) — Shared styling of the secondary button.
        - `border_radius`: string (required) — Secondary button corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`; default: `"4px"`)
        - `border_width`: string (required) — Secondary button border width. Set to `0` to turn the border off. (pattern: `^(0|([0-9]|10)px)$`; default: `"1px"`)
        - `font_size`: string (required) — Secondary button text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`; default: `"14px"`)
        - `height`: string (required) — Secondary button height. (pattern: `^([3-5][0-9]|60)px$`; default: `"38px"`)
      - `width`: string (required) — Width of the primary and secondary buttons. (pattern: `^([7-9][0-9]|100)%$`; default: `"100%"`)
    - `globals`: object (required) — Font, maximum width, and padding for the whole checkout.
      - `font_family`: string (required) — Font family for all checkout text. (default: `"Lato, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif"`)
        - `Lato, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
        - `Arial, Helvetica Neue, HelveticaNeue, Helvetica, sans-serif`
        - `Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
        - `Verdana, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
        - `Lucida Grande, Lucida Sans Unicode, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif`
        - `Georgia, serif`
        - `Times New Roman, TimesNewRoman, Times, serif`
      - `max_width`: string (required) — Maximum width of the checkout container. (pattern: `^(64[3-9]|6[5-9][0-9]|[7-9][0-9]{2}|[1-9][0-9]{3,})px$`; default: `"643px"`)
      - `use_container_padding`: boolean (required) — Whether the checkout container has side padding. (default: `true`)
    - `inputs`: object (required) — Shared styling of the checkout input fields.
      - `border_radius`: string (required) — Corner radius of the text and select inputs. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`; default: `"4px"`)
      - `border_width`: string (required) — Border width of the text and select inputs. (pattern: `^([1-9]|10)px$`; default: `"1px"`)
      - `box_shadow`: boolean (required) — Whether the text and select inputs have a box shadow. (default: `true`)
      - `checkbox`: object (required) — Shared styling of checkboxes.
        - `border_radius`: string (required) — Checkbox corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`; default: `"4px"`)
      - `font_size`: string (required) — Text size of the text and select inputs. (pattern: `^(1[2-9]|2[0-6])px$`; default: `"14px"`)
      - `height`: string (required) — Height of the text and select inputs. (pattern: `^([3-5][0-9]|60)px$`; default: `"40px"`)
    - `labels`: object (required) — Shared styling of the checkout field labels.
      - `font_size`: string (required) — Field label text size. (pattern: `^(1[2-9]|2[0-6])px$`; default: `"15px"`)
      - `font_weight`: string (required) — Field label weight. (default: `"normal"`)
        - `normal`
        - `bold`
      - `position`: string (required) — Position of field labels. On mobile, labels always show at the top left. (default: `"left"`)
        - `left`
        - `top-left`
      - `visible`: boolean (required) — Whether field labels are shown. (default: `true`)
    - `links`: object (required) — Text size of checkout links.
      - `font_size`: string (required) — Link text size. (pattern: `^(1[2-9]|2[0-9]|30)px$`; default: `"12px"`)
    - `notifications`: object (required) — Shared styling of checkout messages.
      - `container`: object (required) — Shape of the message container.
        - `border_radius`: string (required) — Message container corner radius. (pattern: `^([0-9]|[1-3][0-9]|4[0-5])px$`; default: `"4px"`)
      - `text`: object (required) — Text size of checkout messages.
        - `font_size`: string (required) — Message text size. (pattern: `^(1[2-9]|2[0-6])px$`; default: `"12px"`)
  - `modes`: object (required) — Colors for each mode.
    - `light`: object (required) — Colors used when inline checkout opens in light mode.
      - `buttons`: object (required) — Light mode styling of the checkout buttons.
        - `payment_method`: object (required) — Light mode styling of the payment method selector.
          - `border_color`: string (required) — Payment method selector border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
        - `primary`: object (required) — Light mode styling of the primary button.
          - `background_color`: string (required) — Primary button background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `background_color_hover`: string (required) — Primary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#05B25E"`)
          - `border_color`: string (required) — Primary button border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `border_color_hover`: string (required) — Primary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `color`: string (required) — Primary button text color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `color_hover`: string (required) — Primary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
        - `secondary`: object (required) — Light mode styling of the secondary button.
          - `background_color`: string (required) — Secondary button background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `background_color_hover`: string (required) — Secondary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `border_color`: string (required) — Secondary button border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `border_color_hover`: string (required) — Secondary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#05B25E"`)
          - `color`: string (required) — Secondary button text color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `color_hover`: string (required) — Secondary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#05B25E"`)
      - `globals`: object (required) — Light mode focus colors for checkout fields.
        - `focus_border_color_active`: string (required) — Border color of a focused field. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#0096FF"`)
        - `focus_box_shadow_color_active`: string (required) — Shadow color of a focused field. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#C0E6FF"`)
      - `inputs`: object (required) — Light mode styling of the checkout input fields.
        - `background_color`: string (required) — Background color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
        - `border_color`: string (required) — Border color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#D2D4DE"`)
        - `checkbox`: object (required) — Light mode styling of checkboxes.
          - `background_color`: string (required) — Checkbox background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
        - `color`: string (required) — Text color of the text and select inputs, focused or not. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#2B2A35"`)
        - `text`: object (required) — Light mode styling of text fields.
          - `placeholder_color`: string (required) — Text input placeholder color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#9393A8"`)
      - `labels`: object (required) — Light mode styling of the checkout field labels.
        - `color`: string (required) — Field label color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#2B2A35"`)
      - `links`: object (required) — Light mode styling of the checkout links.
        - `color`: string (required) — Link color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
        - `color_hover`: string (required) — Link color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
      - `notifications`: object (required) — Light mode colors of checkout messages.
        - `container`: object (required) — Light mode colors of the message container.
          - `background_color`: string (required) — Message background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `border_color`: string (required) — Message border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#EBECF0"`)
    - `dark`: object (required) — Colors used when inline checkout opens in dark mode.
      - `buttons`: object (required) — Dark mode styling of the checkout buttons.
        - `payment_method`: object (required) — Dark mode styling of the payment method selector.
          - `border_color`: string (required) — Payment method selector border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
        - `primary`: object (required) — Dark mode styling of the primary button.
          - `background_color`: string (required) — Primary button background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `background_color_hover`: string (required) — Primary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#05B25E"`)
          - `border_color`: string (required) — Primary button border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `border_color_hover`: string (required) — Primary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#06C668"`)
          - `color`: string (required) — Primary button text color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `color_hover`: string (required) — Primary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
        - `secondary`: object (required) — Dark mode styling of the secondary button.
          - `background_color`: string (required) — Secondary button background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#434343"`)
          - `background_color_hover`: string (required) — Secondary button background color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#333333"`)
          - `border_color`: string (required) — Secondary button border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#555555"`)
          - `border_color_hover`: string (required) — Secondary button border color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#555555"`)
          - `color`: string (required) — Secondary button text color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `color_hover`: string (required) — Secondary button text color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
      - `globals`: object (required) — Dark mode focus colors for checkout fields.
        - `focus_border_color_active`: string (required) — Border color of a focused field. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#0096FF"`)
        - `focus_box_shadow_color_active`: string (required) — Shadow color of a focused field. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#C0E6FF"`)
      - `inputs`: object (required) — Dark mode styling of the checkout input fields.
        - `background_color`: string (required) — Background color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#333333"`)
        - `border_color`: string (required) — Border color of the text and select inputs. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#555555"`)
        - `checkbox`: object (required) — Dark mode styling of checkboxes.
          - `background_color`: string (required) — Checkbox background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#434343"`)
        - `color`: string (required) — Text color of the text and select inputs, focused or not. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
        - `text`: object (required) — Dark mode styling of text fields.
          - `placeholder_color`: string (required) — Text input placeholder color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#757A7A"`)
      - `labels`: object (required) — Dark mode styling of the checkout field labels.
        - `color`: string (required) — Field label color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
      - `links`: object (required) — Dark mode styling of the checkout links.
        - `color`: string (required) — Link color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#C4C4C4"`)
        - `color_hover`: string (required) — Link color on hover. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#C4C4C4"`)
      - `notifications`: object (required) — Dark mode colors of checkout messages.
        - `container`: object (required) — Dark mode colors of the message container.
          - `background_color`: string (required) — Message background color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#FFFFFF"`)
          - `border_color`: string (required) — Message border color. (pattern: `^#([0-9A-Fa-f]{3,4}|[0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$`; default: `"#EBECF0"`)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "shared": {
      "buttons": {
        "focus_enabled": true,
        "primary": {
          "border_radius": "4px",
          "border_width": "1px",
          "font_size": "20px",
          "height": "44px"
        },
        "secondary": {
          "border_radius": "4px",
          "border_width": "1px",
          "font_size": "14px",
          "height": "38px"
        },
        "width": "100%"
      },
      "globals": {
        "font_family": "Lato, Helvetica Neue, HelveticaNeue, Helvetica, Arial, sans-serif",
        "max_width": "643px",
        "use_container_padding": true
      },
      "inputs": {
        "border_radius": "4px",
        "border_width": "1px",
        "box_shadow": true,
        "checkbox": {
          "border_radius": "4px"
        },
        "font_size": "14px",
        "height": "40px"
      },
      "labels": {
        "font_size": "15px",
        "font_weight": "normal",
        "position": "left",
        "visible": true
      },
      "links": {
        "font_size": "12px"
      },
      "notifications": {
        "container": {
          "border_radius": "4px"
        },
        "text": {
          "font_size": "12px"
        }
      }
    },
    "modes": {
      "light": {
        "buttons": {
          "payment_method": {
            "border_color": "#06C668"
          },
          "primary": {
            "background_color": "#06C668",
            "background_color_hover": "#05B25E",
            "border_color": "#06C668",
            "border_color_hover": "#06C668",
            "color": "#FFFFFF",
            "color_hover": "#FFFFFF"
          },
          "secondary": {
            "background_color": "#FFFFFF",
            "background_color_hover": "#FFFFFF",
            "border_color": "#06C668",
            "border_color_hover": "#05B25E",
            "color": "#06C668",
            "color_hover": "#05B25E"
          }
        },
        "globals": {
          "focus_border_color_active": "#0096FF",
          "focus_box_shadow_color_active": "#C0E6FF"
        },
        "inputs": {
          "background_color": "#FFFFFF",
          "border_color": "#D2D4DE",
          "checkbox": {
            "background_color": "#FFFFFF"
          },
          "color": "#2B2A35",
          "text": {
            "placeholder_color": "#9393A8"
          }
        },
        "labels": {
          "color": "#2B2A35"
        },
        "links": {
          "color": "#06C668",
          "color_hover": "#06C668"
        },
        "notifications": {
          "container": {
            "background_color": "#FFFFFF",
            "border_color": "#EBECF0"
          }
        }
      },
      "dark": {
        "buttons": {
          "payment_method": {
            "border_color": "#3A3A46"
          },
          "primary": {
            "background_color": "#06C668",
            "background_color_hover": "#05B25E",
            "border_color": "#06C668",
            "border_color_hover": "#05B25E",
            "color": "#FFFFFF",
            "color_hover": "#FFFFFF"
          },
          "secondary": {
            "background_color": "#1F1F27",
            "background_color_hover": "#1F1F27",
            "border_color": "#06C668",
            "border_color_hover": "#05B25E",
            "color": "#06C668",
            "color_hover": "#05B25E"
          }
        },
        "globals": {
          "focus_border_color_active": "#258d84",
          "focus_box_shadow_color_active": "#36cec2"
        },
        "inputs": {
          "background_color": "#1F1F27",
          "border_color": "#3A3A46",
          "checkbox": {
            "background_color": "#1F1F27"
          },
          "color": "#FFFFFF",
          "text": {
            "placeholder_color": "#9393A8"
          }
        },
        "labels": {
          "color": "#FFFFFF"
        },
        "links": {
          "color": "#06C668",
          "color_hover": "#06C668"
        },
        "notifications": {
          "container": {
            "background_color": "#1F1F27",
            "border_color": "#3A3A46"
          }
        }
      }
    }
  },
  "meta": {
    "request_id": "aeec8d8e-8db1-4278-a0f5-a17330fb783e"
  }
}
```
